﻿
Imports Infragistics.Web.UI.GridControls
Imports System.Collections.Generic
Imports System.Data
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls

Partial Class Default2
    Inherits System.Web.UI.Page
    Protected Function populateGrid() As DataTable
        Dim dt As New DataTable()
        dt.Columns.Add("Name")
        Dim row As DataRow
        For i As Integer = 0 To 9
            row = dt.NewRow()
            row.SetField(Of String)("Name", "Name" & i)
            dt.Rows.Add(row)
        Next

        Return dt
    End Function


    Private Class CustomItemTemplate
        Implements ITemplate
#Region "ITemplate Members"

        Public Sub InstantiateIn(container As Control) Implements ITemplate.InstantiateIn
            Dim hlink As New HyperLink()
            hlink.ID = "hyp1"
            hlink.Text = "This is the hyperlink"
            hlink.NavigateUrl = "http://www.infragistics.com/"
            hlink.Target = "_blank"

            container.Controls.Add(hlink)
        End Sub
#End Region
    End Class

    Protected Overrides Sub OnInit(e As EventArgs)

        MyBase.OnInit(e)
        Dim _CustomItemTemplate As New CustomItemTemplate()
        Dim _ItemTemplate As New Infragistics.Web.UI.ItemTemplate()
        _ItemTemplate.Template = _CustomItemTemplate
        _ItemTemplate.TemplateID = "CustomItemTemplate"
        Me.WebDataGrid1.Templates.Add(_ItemTemplate)

    End Sub

    'Protected Sub Page_Load(sender As Object, e As EventArgs)


    'End Sub


    Protected Sub Page_Load1(sender As Object, e As EventArgs) Handles Me.Load
        Dim bdf As New BoundDataField()
        bdf.Key = "Name"
        bdf.DataFieldName = "Name"
        bdf.Header.TemplateId = "CustomItemTemplate"

        WebDataGrid1.Columns.Add(bdf)


        WebDataGrid1.DataSource = populateGrid()
        WebDataGrid1.DataBind()
    End Sub
End Class
